# Class GSSolver

java.lang.Object
GSSolver

public class GSSolver extends Object
La classe GSSolver résout une grille de Sudoku et affiche le résultat dans une fenêtre.

## Constructor Summary

Constructors
Constructor
Description
`GSSolver(GSGrid grid, Window window)`
Constructeur de la classe GSSolver.

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GSSolver

public GSSolver(GSGrid grid, Window window)
Constructeur de la classe GSSolver.

Parameters:
  `grid` - La grille de Sudoku à résoudre.
  `window` - La fenêtre dans laquelle afficher la résolution.